## languagechooser 1.25ubuntu2

=== debian/changelog ===
languagechooser (1.25ubuntu2) warty; urgency=low

  * Backport from Debian (Petter Reinholdtsen, closes: Ubuntu #1683):
    - generate the locale needed in 2nd stage in prebaseconfig.
      Closes: #261256

 -- Colin Watson <cjwatson@canonical.com>  Thu,  7 Oct 2004 15:03:05 +0100

languagechooser (1.25ubuntu1) warty; urgency=low

  * Just say "English" rather than "English with locales/country settings"
    (closes: Warty #944).

 -- Colin Watson <cjwatson@flatline.org.uk>  Tue, 31 Aug 2004 19:02:04 +0100

languagechooser (1.25) unstable; urgency=low

  * Christian Perrier
    - Rewritten README file, documenting the language/country
      selection system
    - Corrected translation of Bosnian, thanks Safir Secerovic
  * Steve Langasek
    - Add support for apt-installing fribidi support for RTL languages

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Jun 2004 09:54:00 +0200

languagechooser (1.24) unstable; urgency=low

  * Christian Perrier
    - add myself to Uploaders
    - Translate "Arabic" to Arabic in languagelist.l10n
    - Translate "Farsi" to Farsi in languagelist.l10n
    - Correct Hebrew entry so that it just says "Hebrew"
      Thanks, Alan Moray for the Hebrew lesson..:-)
    - Remove "with locales/country settings" for English
      Does not make sense as the "C" entry idea has been dropped/delayed
    - Comment Irish and Latvian which don't have any active translator
      currently
    - Remove the now unused languagelist.skolelinux file. Agreed by Petter

 -- Christian Perrier <bubulle@debian.org>  Fri, 18 Jun 2004 19:47:37 +0200

languagechooser (1.23) unstable; urgency=low

  * Recai Oktas
    - prebaseconfig patched for setting up APP_CHARSET_MAP properly
      in /etc/console-tools/config. The variable value as well as
      SCREEN_FONT_MAP is enforced at the end of the config file.
      Closes: #250376
  * debconf hacking team:
    - Use LANGUAGE instead of LANGUAGELIST, fixes languages that have no list;
      this code used to work when it was in base-installer, because it ran
      after countrychooser.
    - Make this change in the three places LANGUAGELIST was used in
      languagechooser
  * Christian Perrier
    - New layout back in place. One entry per language. "C" entry for
      skipping country selection step and live without locale except the
      default POSIX locale (currently commented)

 -- Christian Perrier <bubulle@debian.org>  Mon,  7 Jun 2004 10:06:56 +0200

languagechooser (1.22) unstable; urgency=medium

  * Christian Perrier
    - for beta5 release : go back to the 1.19 layout. Changes from
      1.20, 1.21 and 1.22 below are kept into languagelist.postbeta5
      and languagelist.l10n.postbeta5. Unrelated changes are kept, of
      course
  * Christian Perrier
    - New entry for "C"=="English with no locales settings"
    - Added alternative possible layouts in mktemplates
    - Changed the name of the "C" entry so that it does not mention
      "English" anymore but appears as a default for quick setup
      Could be used for skipping other questions further

 -- Christian Perrier <bubulle@debian.org>  Tue, 18 May 2004 14:21:55 +0200

languagechooser (1.21) unstable; urgency=low

  * Sylvain Ferriol
    - language-name template default fix to English Closes:248929

 -- Christian Perrier <bubulle@debian.org>  Sat, 15 May 2004 09:16:57 +0200

languagechooser (1.20) unstable; urgency=low

  * Recai Oktas
    - languagechooser: more fixes to enable Turkish on 2nd stage.
  * Christian Perrier
    - THE BIG CHANGE : one translation<->one entry
      We temporarily keep old languagelist and languagelist.l10n entries
      in the new files in case this change need to be reverted
      Modified files:
      - languagelist
      - languagelist.l10n
      - mktemplates (a few lines)
    - Ellipsis typography fix

 -- Christian Perrier <bubulle@debian.org>  Thu, 13 May 2004 18:35:32 +0200

languagechooser (1.19) unstable; urgency=low

  * Christian Perrier
    - Added Galician (gl) to langage list
    - Added Basque (and translation) to language list
    - Added an entry for Serbian language
    - Added an entry for Vietnamese language
    - Added an entry for Chinese Simplified+China
    - Added an entry for Chinese Traditional+Taiwan
    - two other entries for Chinese variants+other countries
    Changes made as a first tentative to solve the issue for the official
    name of TW
  * Denis Barbier
    - Add @euro modifier to ca_ES, de_AT, ga_IE, pt_PT and sv_FI.
    - Add informations for keyboard configuration into languagelist,
      so that termwrap can set up console keyboard.  Console-data is
      currently supported, bterm and cyr have to be added.
    - Fix canonical locale name for Ukrainian, uk_UA is listed in
      /usr/share/i18n/SUPPORTED and not uk_UA.KOI8-U.
    - prebaseconfig: Set font in /etc/console-tools/config from the value
      found in the debian-installer/consoledisplay debconf question.
      Console is then configured for the 2nd stage and a good default is
      provided for later use.
  * Eugeniy Meshcheryako
    - Add support for cyr in languagelist, and let Ukrainian uses it instead
      of console-tools.  Closes: #243034
  * Petter Reinholdtsen
    - Moved code for adding extra packages into /target/ from
      languagechooser.postinst and base-installer.postinst to the
      languagechooser script to keep everything in one place and
      avoid cluttering base-installer with language-specific code.
  * Denis Barbier
    - The info function is not defined in languagechooser, replace
      its call by log.  Thanks to Jean Christophe ANDRÉ for reporting.
    - Change Turkish console font to ter-916f

 -- Petter Reinholdtsen <pere@debian.org>  Wed,  5 May 2004 22:40:55 +0200

languagechooser (1.18) unstable; urgency=low

  * Christian Perrier
    - Added Indonesian (id) to language list
  * Denis Barbier
    - Fix colons in languagelist for Romanian and French (Belgium).
  * Updated translations: 


=== debian/rules ===
#! /usr/bin/make -f

PACKAGE=languagechooser

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install languagechooser languagemap usr/bin
	mkdir -p debian/$(PACKAGE)/DEBIAN
	install -m0755 debian/languagechooser.menutest debian/$(PACKAGE)/DEBIAN/menutest
	install -m0755 prebaseconfig debian/$(PACKAGE)/usr/lib/prebaseconfig.d/65languagechooser
	install -m644 languagelist debian/$(PACKAGE)/usr/share/languagelist

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## languagechooser 1.44ubuntu1

=== debian/changelog ===
languagechooser (1.44ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Tue, 14 Dec 2004 13:21:33 +0100

languagechooser (1.44) unstable; urgency=low

  * Colin Watson
    - Rebuild as a tidier source package.

 -- Colin Watson <cjwatson@debian.org>  Wed,  8 Dec 2004 11:32:16 +0100

languagechooser (1.43ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@canonical.com>  Wed,  8 Dec 2004 11:40:50 +0100

languagechooser (1.43) unstable; urgency=low

  * Christian Perrier
    - Welsh properly spelled in Welsh

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Nov 2004 18:38:24 +0100

languagechooser (1.42ubuntu1) hoary; urgency=low

  * Switch to UTF-8 for all languages where it's available in
    /usr/share/i18n/SUPPORTED (all except Bosnian).

 -- Colin Watson <cjwatson@canonical.com>  Mon,  8 Nov 2004 17:26:10 +0000

languagechooser (1.42) unstable; urgency=low

  * Frans Pop
    - Make prebaseconfig script append to messages instead of overwriting it
      Closes: #279072
  * Updated translations: 
    - Finnish (fi.po) by Tapio Lehtonen
    - Hungarian (hu.po) by VEROK Istvan
    - Russian (ru.po) by Yuri Kozlov

 -- Joey Hess <joeyh@debian.org>  Sun, 31 Oct 2004 13:49:22 -0500

languagechooser (1.41) unstable; urgency=HIGH

  * Joey Hess
    - Revert untested and broken localization-config installation test change.
      HINT: LANG is NOT defined anywhere in languagechooser.
      Reopens: #277073

 -- Joey Hess <joeyh@debian.org>  Tue, 19 Oct 2004 14:30:34 -0400

languagechooser (1.40) unstable; urgency=low

  * Christian Perrier
    - Revert back to non-UTF8 for Hebrew as this breaks more things
      than it solves. Use LatArCyrHeb font. Closes: #276076
  * Konstantinos Margaritis
    - Install localization-config when LANG <> en_US on all arches
      except powerpc. On powerpc arches, always install it.
      Closes: #277073

 -- Christian Perrier <bubulle@debian.org>  Mon, 18 Oct 2004 20:06:19 +0200

languagechooser (1.39) unstable; urgency=low

  * Christian Perrier
    - use UTF-8 default locales for Hebrew. Closes: #276071

 -- Christian Perrier <bubulle@debian.org>  Tue, 12 Oct 2004 20:25:20 +0200

languagechooser (1.38) unstable; urgency=low

  * Joey Hess
    - Move prebaseconfig script to run at 05 since it uses apt-install, which
      is not available after the CD is ejected.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Oct 2004 13:24:05 -0400

languagechooser (1.37) unstable; urgency=low

  * Otavio Salvador
    - Change console-data font to be lat1-16(iso01) when using Portuguese
      (Brazil). This solves some display problem in this language.

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Oct 2004 14:32:45 -0400

languagechooser (1.36) unstable; urgency=low

  * Updated translations: 
    - Welsh (cy.po) by Dafydd Harries
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Hungarian (hu.po) by VEROK Istvan
    - Indonesian (id.po) by Debian Indonesia Team
    - Japanese (ja.po) by Kenshi Muto
    - Latvian (lv.po) by Aigars Mahinovs
    - Dutch (nl.po) by Bart Cornelis
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrisor
    - Traditional Chinese (zh_TW.po) by Tetralet

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Oct 2004 14:21:12 -0400

languagechooser (1.35) unstable; urgency=low

  * Christian Perrier
    - Remove Russian as backup language for Lithuanian. Closes: #274441
    - ditto for Latvian

 -- Christian Perrier <bubulle@debian.org>  Sat,  2 Oct 2004 07:42:38 +0200

languagechooser (1.34) unstable; urgency=low

  * Christian Perrier
    - use UTF-8 default locales for Arabic. Closes: #273718
    - do not use Swedish as fallback language for Finnish.
      Closes: #273881

 -- Christian Perrier <bubulle@debian.org>  Tue, 28 Sep 2004 21:05:20 +0200

languagechooser (1.33) unstable; urgency=low

  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Parlin Imanuel Toh
    - Italian (it.po) by Giuseppe Sacco
    - Korean (ko.po) by Changwoo Ryu
    - Lithuanian (lt.po) by Kęstutis Biliūnasn
    - Bøkmal, Norwegian (nb.po) by Axel Bojer
    - Norwegian Nynorsk (nn.po) by Håvard Korsvoll
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Swedish (sv.po) by Per Olofsson

 -- Joey Hess <joeyh@debian.org>  Mon, 27 Sep 2004 21:09:35 -0400

languagechooser (1.32) unstable; urgency=low

  * Eugeniy Meshcheryakov
    - Use ruscii_8x16 font to setup console for Bulgarian and Ukrainian.
      Closes: 260227
  * Anton Zinoviev
    - Use iso05.f16 font to setup console for Serbian.
    - Add entry for Macedonian in languagelist and languagelist.l18n
    - Use Bosnian as an alternative translation for Serbian and Macedonian
      as an alternative translation for Bulgarian.  Note: Serbian and
      Bulgarian should not be used as alternative translations for Bosnian
      and Macedonian.
  * Christian Perrier
    - Correct the country code of Sweden in languagelist
    - Add an entry for Malagasy (currently commented, waiting for the locale)
    - Remove commented lines at the end of languagelist.l10n
    - Re-add the languagelist entries for Northern Sami. How does one spell
      "sorry" in Sami? Closes: #271886
    - Revert the (never documented) change in the entry for Russian

 -- Christian Perrier <bubulle@debian.org>  Wed, 15 Sep 2004 23:18:09 +0200

languagechooser (1.31) unstable; urgency=low

  * Christian Perrier
    - Acknowledge the new eu_FR locale and make Basque a "multi-country"
      language with the use of @euro variant
    - Move localization-config install queueing out of prebaseconfig into
      languagechooser. Closes: #270563
    - Make the main menu entry translatable. Explicitely ask translators


## languagechooser 1.45

=== Makefile ===
all: debian/templates check-scripts check-data check-utf8

LIST     = languagelist
L10NLIST = languagelist.l10n

debian/templates: mktemplates debian/templates-in $(LIST) $(L10NLIST)
	LC_COLLATE=C ./mktemplates $(LIST) $(L10NLIST) $@ $@-in

check-scripts:
	if [ -x /bin/ash ] ; then SH=ash ; else SH=dash; fi ; \
	for s in prebaseconfig debian/postinst languagemap languagechooser ; do \
		$$SH -n $$s ; \
	done

check-utf8: $(L10NLIST)
	iconv -f utf-8 -t unicode $(L10NLIST) > /dev/null

check-data:
	# Check that the listed locale is supported, to make sure base-config knows
	# how to handle it.
	@for locale in `grep -v "^#" $(LIST) | cut -d\; -f2 | grep _` ; do \
		if grep -q "^$$locale " /usr/share/i18n/SUPPORTED ; then \
			: ; \
		else \
			echo "warning: locale $$locale not listed in /usr/share/i18n/SUPPORTED" ; \
		fi ; \
	done

.PHONY: demo
languagechooser.templates: debian/templates
	grep -v '#' $^ > $@
demo: languagechooser.templates languagechooser
	DEBIAN_FRONTEND=dialog DEBCONF_DEBUG=developer /usr/share/debconf/frontend ./languagechooser

clean:
	$(RM) languagechooser.templates debian/templates

=== debian/changelog ===
languagechooser (1.45) unstable; urgency=low

  * Christian Perrier
    - Add Belarusian to the list of languages
    - Add Tagalog to the list of languages
    - Add Punjabi (Gumurkhi) to the list of languages
    - Repair entries for Arabic, Persian and Hindi
    - Remove Spanish as alternative for Galician as this gives a false
      impression of a bad mix of both languages
    - Remove Macedonian as alternative for Bulgarian
      Closes: #291971

 -- Christian Perrier <bubulle@debian.org>  Mon, 24 Jan 2005 22:27:21 +0100

=== debian/control ===
Source: languagechooser
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Petter Reinholdtsen <pere@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: dash | ash, debhelper (>= 4.2), dpkg-dev (>= 1.9)
Standards-Version: 3.6.1.0

Package: languagechooser
XC-Package-Type: udeb
Architecture: all
Depends: cdebconf-udeb
XB-Installer-Menu-Item: 10
Description: Choose language

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,7 @@
 	dh_installdirs
 	dh_install languagechooser languagemap usr/bin
 	mkdir -p debian/$(PACKAGE)/DEBIAN
-	install -m0755 debian/languagechooser.menutest debian/$(PACKAGE)/DEBIAN/menutest
-	install -m0755 prebaseconfig debian/$(PACKAGE)/usr/lib/prebaseconfig.d/65languagechooser
+	install -m0755 prebaseconfig debian/$(PACKAGE)/usr/lib/prebaseconfig.d/05languagechooser
 	install -m644 languagelist debian/$(PACKAGE)/usr/share/languagelist
 
 binary-indep: build install
